#ifndef YASND_H
#define YASND_H

// Debug verbosity
#define DEBUG_BASE 1
#define DEBUG_ALL 2

#include <stdbool.h>
#include <string.h>
#include <gammu.h>

// External functions
extern void log_event(const char *message);
extern bool check_gammu_error(GSM_Error err);
extern bool gammu_init();
extern bool gammu_send_sms(const char* message);

typedef struct {
	char* hostname; // address of host
	pid_t helper_pid; // pid of helper('pinger') child process
	int fail_count; // how many times in a row host was unreachable
} host_decl;

// External variables
extern int hosts_count; // count of hosts
extern int debug_flag;
extern GSM_Error error; // structure to store possible gammu errors
extern GSM_StateMachine *state_machine; // structure to interact with mobile phones
extern char* recipient_number;

#endif
